{ pkgs, ... }:

{
  networking = {
    hostName = "tami-mac";
    networkmanager.enable = true;
  };

  time.timeZone = "Asia/Jerusalem";

  services.pipewire = {
    enable = true;
    pulse.enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
  };
  hardware.pulseaudio.enable = false;
  sound.enable = false;

  system.stateVersion = "23.05";

  services.openssh.enable = true;

  programs.vim.defaultEditor = true;

  users = {
    mutableUsers = false;
    users."tami" = {
      isNormalUser = true;
      hashedPassword = "$y$j9T$BUWA7o2/xFFY6g/B9somr1$rveo/ttShW7jd835kf2pE9vAfDIXj/Hii3B5c9GyCjA";
      extraGroups = [ "wheel" "networkmanager" ];
      uid = 1000;
      packages = with pkgs; [
        firefox
        git
        wget
      ];
    };
  };

  services.xserver = {
    enable = true;
    desktopManager.plasma5.enable = true;
    displayManager = {
      defaultSession = "plasmawayland";
      lightdm.enable = true;
      autoLogin.user = "tami";
    };
  };

  programs.dconf.enable = true;

  programs.xwayland.enable = true;

  hardware.opengl = {
    enable = true;
    driSupport = true;
    driSupport32Bit = true;
  };

  programs.adb.enable = true;
}
